## quake3 1.4

=== Makefile ===
ALL = \
	build/quake3 \
	build/quake3-server \
	build/quake3.png \
	build/quake3.xpm \
	build/quake332.xpm

all: $(ALL)

build/quake3: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioquake3!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!client!' \
		< $< > $@
	chmod +x $@

build/quake3-server: quake3.in Makefile
	install -d build
	sed \
		-e 's!@IOQ3BINARY@!ioq3ded!' \
		-e 's!@IOQ3SELF@!quake3!' \
		-e 's!@IOQ3ROLE@!server!' \
		< $< > $@
	chmod +x $@

build/quake3.png: quake3-tango.xcf
	install -d build
	xcf2png -o $@ $<

build/quake3.xpm: build/quake3.png
	convert $< $@

build/quake332.xpm: build/quake3.png
	convert -resize 32x32 $< $@

clean:
	rm -rf build

## quake3 1.3

=== debian/changelog ===
quake3 (1.3) unstable; urgency=low

  * Make the desktop file definitely run /usr/games/quake3, and not some
    other quake3 on the user's $PATH
  * Upload to unstable/contrib now that I've done the same with g-d-p 25

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Mar 2011 15:49:39 +0000

quake3 (1.2) experimental; urgency=low

  * Make the QUAKE3_BACKTRACE option work properly

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Jan 2011 22:27:07 +0000

quake3 (1.1) experimental; urgency=low

  * Allow game-data-packager to satisfy the quake3-data dependency
  * If quake3-data is missing from quake3, don't allow the game to run (the
    engine doesn't cope well with it); instead, use zenity, kdialog, xmessage
    or (as a last resort) terminal output to tell the user about
    game-data-packager
  * If quake3-data is missing from quake3-server, just output to the console
  * Add a simple init script (disabled by default, so you don't have to use
    it if you prefer to run the server under screen or something), based on
    the one in tremulous-server

 -- Simon McVittie <smcv@debian.org>  Fri, 12 Nov 2010 23:12:28 +0000

quake3 (1.0) experimental; urgency=low

  [ Jack Coulter ]
  * Initial packaging (Closes: #487933), based on work by Marc Leeman and
    Bruno Kleinert

  [ Simon McVittie ]
  * Adapt for the current version of ioquake3
  * Upgrade to source format 3.0 (native), debhelper v8, machine-readable
    copyright, and Policy version 3.9.1
  * Include the GIMP source file for the logo (from ioquake3), and produce
    lower-quality versions from it at build time
  * Upload to experimental for now, until a version of game-data-packager
    that can produce quake3-data reaches unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 22 Oct 2010 23:29:21 +0100

=== debian/control ===
Source: quake3
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jack Coulter <jscinoz@gmail.com>
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: xcftools, imagemagick
Vcs-Git: git://git.debian.org/git/pkg-games/quake3.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/quake3.git
Homepage: http://www.ioquake3.org/
Standards-Version: 3.9.1

Package: quake3
Architecture: all
Depends: ioquake3,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Recommends: x11-utils | zenity | kdebase-bin
Description: Quake III Arena menu entry and launcher scripts
 This package contains a launcher script and menu entry to play
 Quake III Arena with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

Package: quake3-server
Architecture: all
Depends: adduser,
         ioquake3-server,
         quake3-data | game-data-packager (>= 23),
         ${misc:Depends}
Description: Quake III Arena dedicated server launcher scripts
 This package contains a launcher script to run a Quake III Arena dedicated
 server with the ioQuake3 engine.
 .
 To make this package useful, you will need to create and install the
 non-distributable quake3-data package, by using the game-data-packager
 package. This requires pak0.pk3 from a Quake III installation or CD-ROM.

## quake3 1.4

=== debian/changelog ===
quake3 (1.4) unstable; urgency=low

  * Add status action to init script
  * Don't refuse to start a new quake3-server if there's a stale pid file
    (similar to #678543)
  * Report ioquake3, ioquake3-server information in quake3, quake3-server bugs
  * Standards-Version: 3.9.3 (no changes)
  * Update copyright dates
  * Add a Description to the init script
  * Run a server from the quake3-server package by default (as per Policy),
    unless this is an upgrade from 1.3 or older
  * During purge of quake3-server, delete files owned by Debian-quake3 before
    deleting the user itself

 -- Simon McVittie <smcv@debian.org>  Sat, 23 Jun 2012 14:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://git.debian.org/git/pkg-games/quake3.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/quake3.git
 Homepage: http://www.ioquake3.org/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 
 Package: quake3
 Architecture: all
